import type { SearchDate } from '../search';
import { FILE_TYPE, STREAM_TYPE } from '../../types/stream';
export type DownloadSingleImageParams = {
    deviceId: string;
    deviceChannel: number;
    mSaveImageDir: string;
    imgSizes: {
        imgHeight: number;
        imgWidth: number;
    };
    time: SearchDate;
    seq: number;
};
export type DownloadSingleImageResponse = {
    isSuccess: boolean;
    imagePath: string;
    mediaType?: number;
    seq: number;
};
export declare const downloadSingleImage: (params: DownloadSingleImageParams) => Promise<DownloadSingleImageResponse>;
export type DownloadSingleFileParams = {
    deviceId: string;
    deviceChannel: number;
    mSaveImageDir: string;
    startTime: SearchDate;
    endTime: SearchDate;
    fileName: string;
};
export type DownloadSingleFileResponse = {
    isSuccess: boolean;
    filePath: string;
    seq: number;
};
export declare const downloadSingleFile: (params: DownloadSingleFileParams) => Promise<DownloadSingleFileResponse>;
export type DownloadSingleFileByTimeParams = {
    deviceId: string;
    deviceChannel: number;
    mSaveImageDir: string;
    startTime: SearchDate;
    endTime: SearchDate;
    streamType?: STREAM_TYPE;
    fileType?: FILE_TYPE;
};
export declare const downloadSingleFileByTime: (params: DownloadSingleFileByTimeParams) => Promise<DownloadSingleFileResponse>;
//# sourceMappingURL=index.d.ts.map